Bug 7691 - tc собран без поддержки нескольких необходимых qdisc
: tc собран без поддержки нескольких необходимых qdisc
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/iproute2)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-08-15 22:51 by
Modified: 2007-01-15 13:48 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-08-15 22:51:06
Почему у нас tc собран без поддержки hfsc, czf, hpfq? Существуют какие-то
проблемы?
К примеру, без qdisc hfsc невозможно корректно сделать QoS для VoIP, HTB для
этого не подходит.
------- Comment #1 From 2006-03-04 09:02:38 -------
s/maj/enh/ ?
------- Comment #2 From 2006-03-04 16:10:13 -------
Reassigned to maintainer.
------- Comment #3 From 2006-03-04 16:47:51 -------
(In reply to comment #1)
> s/maj/enh/ ?

Да это не enhancement. Некоторые qdisc являются базовыми и есть везде, кроме
нас, насколько я помню.
------- Comment #4 From 2006-11-14 17:09:38 -------
Андрей, можете уточнить каких полезных qdisc не хватает в текущей сборке
(2.6.18.20061002-alt1) и где можно взять патчи для czf и hpfq?

hfsc в текущем iproute поддерживается, это я проверил. Ничего вразумительного
по
czf мне нагуглить не удалось. С hpfq лучше, но реализации я тоже не нашел.
------- Comment #5 From 2006-11-14 17:31:55 -------
Я сейчас сходу не скажу по всем, отличным от hfsc, давно писал. hfsc пробовал
буквально на днях, дейстивтельно, уже есть и поддерживается. Правда, как
оказалось, она относится к тем дисциплинам, для которых нужно сразу создавать
все нужные классы (как минимум default, как я понял). Инача, при присоединении
очереди к интерфейсу сеть сразу отпадает. Может, где-то пометить это?
------- Comment #6 From 2006-11-14 18:13:04 -------
Любая дополнительная информация - описания, дополнения, HOWTOшки, пошаговые
инструкции и прочая с благодарностью принимаются.

Что касается czf - возможно Вы имели в виду csz (Clark-Shenker-Zhang) ?
Так он "inoperational at the moment, and probably never will be repaired".

В любом случае, по набору qdisc наша сборка ничем не отличается от сборок в
других дистрибутивах. Так что я ставлю на эту багу FIXED и предлагаю ее
закрыть.